Bug 1074242 - Review Request: perl-X11-GUITest - Provides GUI testing/interaction routines
Summary: Review Request: perl-X11-GUITest - Provides GUI testing/interaction routines
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-09 06:48 UTC by David Dick
Modified: 2014-04-06 18:54 UTC (History)
2 users (show)

Fixed In Version: perl-X11-GUITest-0.28-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-31 02:12:44 UTC
Type: ---
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2014-03-09 06:48:29 UTC
Spec URL: http://ddick.fedorapeople.org/packages/perl-X11-GUITest.spec
SRPM URL: http://ddick.fedorapeople.org/packages/perl-X11-GUITest-0.27-1.fc20.src.rpm
Description: Provides GUI testing/interaction routines
Fedora Account System Username: ddick

Comment 1 David Dick 2014-03-09 11:22:27 UTC
koji build at http://koji.fedoraproject.org/koji/taskinfo?taskID=6614419

Comment 2 David Dick 2014-03-18 08:24:08 UTC
Upstream have released another version

Spec URL: http://ddick.fedorapeople.org/packages/perl-X11-GUITest.spec
SRPM URL: http://ddick.fedorapeople.org/packages/perl-X11-GUITest-0.28-1.fc20.src.rpm

Comment 3 David Dick 2014-03-18 09:25:42 UTC
koji build at http://koji.fedoraproject.org/koji/taskinfo?taskID=6643844

Comment 4 Petr Šabata 2014-03-18 14:07:35 UTC
TODO: Add the missing perl(Config) BR, Makefile.PL:6
TODO: Substitute PERL_INSTALL_ROOT with DESTDIR
TIP: How about packaging the `eg' directory, too?
FIX: Given the copyright headers in all the source files, I think the License tag should be corrected to `GPLv2+'.

Also, is libXi-devel really required?  I don't see its headers used anywhere.

Comment 5 David Dick 2014-03-19 00:19:24 UTC
TODO: Add the missing perl(Config) BR, Makefile.PL:6

Done.

TODO: Substitute PERL_INSTALL_ROOT with DESTDIR

Done.

TIP: How about packaging the `eg' directory, too?

The eg directory contains a dependency on perl-Image-SubImageFind.  I have prepared this package at https://bugzilla.redhat.com/show_bug.cgi?id=1077956, made it ready for review, and marked it as blocking this review. 

FIX: Given the copyright headers in all the source files, I think the License tag should be corrected to `GPLv2+'.

Done

Also, is libXi-devel really required?  I don't see its headers used anywhere.

This is where X11/extensions/XInput.h exists in EL6.  Note the successful koji build at 

http://koji.fedoraproject.org/koji/taskinfo?taskID=6648210

vs the one with libXi-devel not present at

http://koji.fedoraproject.org/koji/taskinfo?taskID=6648242

I have added a comment explaining this into the spec file

Comment 6 Petr Šabata 2014-03-19 10:11:26 UTC
(In reply to David Dick from comment #5)
> TODO: Add the missing perl(Config) BR, Makefile.PL:6
> 
> Done.

Check.

> TODO: Substitute PERL_INSTALL_ROOT with DESTDIR
> 
> Done.

Check.

> TIP: How about packaging the `eg' directory, too?
> 
> The eg directory contains a dependency on perl-Image-SubImageFind.  I have
> prepared this package at
> https://bugzilla.redhat.com/show_bug.cgi?id=1077956, made it ready for
> review, and marked it as blocking this review. 

You generally don't have to care about dependencies of scripts packages in the docs.  Of course it's nice when you can actually run them on Fedora, they're still just examples/documentation.

I've removed the blocker.

> FIX: Given the copyright headers in all the source files, I think the
> License tag should be corrected to `GPLv2+'.
> 
> Done

Check.

> Also, is libXi-devel really required?  I don't see its headers used anywhere.
> 
> This is where X11/extensions/XInput.h exists in EL6.  Note the successful
> koji build at 
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=6648210
> 
> vs the one with libXi-devel not present at
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=6648242
> 
> I have added a comment explaining this into the spec file

Oh yes, I grep'd the sources for XInput but couldn't see it used anywhere.  Apparently it's pulled in via XTest.h.  I think libXtst-devel should require that.  Feel free to report a bug :)  Of course we'll need the dependency for now...

I'm approving the package now.

Comment 7 David Dick 2014-03-19 10:17:37 UTC
New Package SCM Request
=======================
Package Name: perl-X11-GUITest
Short Description: Provides GUI testing/interaction routines
Owners: ddick
Branches: f20 el6 epel7
InitialCC: perl-sig

Comment 8 Gwyn Ciesla 2014-03-19 12:07:31 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-03-22 02:36:06 UTC
perl-X11-GUITest-0.28-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-X11-GUITest-0.28-1.el6

Comment 10 Fedora Update System 2014-03-22 02:36:32 UTC
perl-X11-GUITest-0.28-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-X11-GUITest-0.28-1.fc20

Comment 11 Fedora Update System 2014-03-22 22:27:39 UTC
perl-X11-GUITest-0.28-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 12 Fedora Update System 2014-03-31 02:12:44 UTC
perl-X11-GUITest-0.28-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2014-04-06 18:54:27 UTC
perl-X11-GUITest-0.28-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.